summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xcore/xmake.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/core/xmake.sh b/core/xmake.sh
index 8e20425b2..9ca61aae7 100755
--- a/core/xmake.sh
+++ b/core/xmake.sh
@@ -212,7 +212,7 @@ if ! has_config "lua"; then
includes "src/lua"
fi
fi
-if ! has_config "lua_cjson"; then
+if ! has_config "lua_cjson" || is_config "runtime" "lua"; then
includes "src/lua-cjson"
fi
if ! has_config "lz4"; then